classification
Title: Spurious "platform dependent libraries" warnings when running make
Type: Stage: resolved
Components: Build Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, ned.deily, python-dev, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-08-08 18:06 by chris.jerdonek, last changed 2016-08-20 02:16 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue27713.patch xiang.zhang, 2016-08-19 16:31 Suppress spurious warnings when running make review
Messages (4)
msg272186 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2016-08-08 18:06
When installing Python 3.5.2 from source on Ubuntu 14.04 and running
make, I get the below "Could not find platform dependent libraries"
warnings (which I prefixed with "***" for better visibility).

From this message which has more background, these warnings are
apparently harmless:

https://mail.python.org/pipermail/python-dev/2016-August/145783.html


    	      -DHGBRANCH="\"`LC_ALL=C `\"" \
    	      -o Modules/getbuildinfo.o ./Modules/getbuildinfo.c
    gcc -pthread -c -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes    -Werror=declaration-after-statement   -I. -IInclude -I./Include    -DPy_BUILD_CORE -o Programs/_freeze_importlib.o Programs/_freeze_importlib.c
    gcc -pthread   -o Programs/_freeze_importlib Programs/_freeze_importlib.o Modules/getbuildinfo.o Parser/acceler.o [**snipped for brevity**]  Modules/xxsubtype.o -lpthread -ldl  -lutil   -lm  
    if test "no" != "yes"; then \
    	    ./Programs/_freeze_importlib \
    	        ./Lib/importlib/_bootstrap.py Python/importlib.h; \
    	fi
    ***: Could not find platform dependent libraries <exec_prefix>
    ***: Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    if test "no" != "yes"; then \
    	    ./Programs/_freeze_importlib \
    	        ./Lib/importlib/_bootstrap_external.py Python/importlib_external.h; \
    	fi
    ***: Could not find platform dependent libraries <exec_prefix>
    ***: Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
    gcc -pthread -c -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes    -Werror=declaration-after-statement   -I. -IInclude -I./Include    -DPy_BUILD_CORE -o Python/frozen.o Python/frozen.c
    rm -f libpython3.5m.a
    ar rc libpython3.5m.a Modules/getbuildinfo.o
msg273141 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-08-19 16:31
This is the design of getpath.c, when no exec/exec_prefix can be found it will emit warning and use the default one. Fortunately it gives use the ability to suppress the warnings. :) Simply set Py_FrozenFlag in _freeze_importlib.c can solve this problem. Upload a trivial patch to set the flag.
msg273183 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-08-20 02:13
New changeset 97b996d81c62 by Ned Deily in branch '3.5':
Issue #27713: Surpress spurious build warnings when updating importlib's
https://hg.python.org/cpython/rev/97b996d81c62

New changeset 751ca458d669 by Ned Deily in branch 'default':
Issue #27713: merge from 3.5
https://hg.python.org/cpython/rev/751ca458d669
msg273184 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-08-20 02:16
That was easy; thanks, Xiang Zhang!  Pushed for release in 3.5.3 and 3.6.0.
History
Date User Action Args
2016-08-20 02:16:03ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg273184

stage: needs patch -> resolved
2016-08-20 02:13:32python-devsetnosy: + python-dev
messages: + msg273183
2016-08-19 16:31:40xiang.zhangsetfiles: + issue27713.patch
keywords: + patch
messages: + msg273141
2016-08-14 17:53:32xiang.zhangsetnosy: + xiang.zhang
2016-08-09 22:34:32ned.deilysetnosy: + ned.deily
stage: needs patch

components: + Build, - Installation
versions: + Python 3.6
2016-08-08 18:06:06chris.jerdonekcreate